package it.integry.integrywmsnative.gest.accettazione_ordini_picking.ui;

import org.jetbrains.annotations.NotNull;

import java.math.BigDecimal;
import java.util.Date;

import it.integry.integrywmsnative.gest.accettazione_ordini_picking.dto.PickingObjectDTO;

public class AccettazioneOrdiniPickingListModel implements Cloneable {
    private String groupTitle;

    private String badge1;
    private String badge2;

    private String descrizione;
    private boolean descrizionePresente;
    private String subDescrizione1;
    private String subDescrizione2;
    private BigDecimal qtaEvasa;
    private BigDecimal qtaTot;
    private String untMis;
    private BigDecimal secQtaEvasa;
    private BigDecimal secQtaTot;
    private String secUntMis;

    private String posizione;

    private boolean active;

    private PickingObjectDTO mOriginalModel;

    @NotNull
    @Override
    public Object clone() {
        try {
            return super.clone();
        } catch (Exception ex) {
            return null;
        }
    }

    public String getGroupTitle() {
        return groupTitle;
    }

    public AccettazioneOrdiniPickingListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getBadge1() {
        return badge1;
    }

    public AccettazioneOrdiniPickingListModel setBadge1(String badge1) {
        this.badge1 = badge1;
        return this;
    }

    public String getBadge2() {
        return badge2;
    }

    public AccettazioneOrdiniPickingListModel setBadge2(String badge2) {
        this.badge2 = badge2;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public AccettazioneOrdiniPickingListModel setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public boolean isDescrizionePresente() {
        return descrizionePresente;
    }

    public AccettazioneOrdiniPickingListModel setDescrizionePresente(boolean descrizionePresente) {
        this.descrizionePresente = descrizionePresente;
        return this;
    }

    public String getSubDescrizione1() {
        return subDescrizione1;
    }

    public AccettazioneOrdiniPickingListModel setSubDescrizione1(String subDescrizione1) {
        this.subDescrizione1 = subDescrizione1;
        return this;
    }

    public String getSubDescrizione2() {
        return subDescrizione2;
    }

    public AccettazioneOrdiniPickingListModel setSubDescrizione2(String subDescrizione2) {
        this.subDescrizione2 = subDescrizione2;
        return this;
    }

    public BigDecimal getQtaEvasa() {
        return qtaEvasa;
    }

    public AccettazioneOrdiniPickingListModel setQtaEvasa(BigDecimal qtaEvasa) {
        this.qtaEvasa = qtaEvasa;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public AccettazioneOrdiniPickingListModel setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public AccettazioneOrdiniPickingListModel setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public BigDecimal getSecQtaEvasa() {
        return secQtaEvasa;
    }

    public AccettazioneOrdiniPickingListModel setSecQtaEvasa(BigDecimal secQtaEvasa) {
        this.secQtaEvasa = secQtaEvasa;
        return this;
    }

    public BigDecimal getSecQtaTot() {
        return secQtaTot;
    }

    public AccettazioneOrdiniPickingListModel setSecQtaTot(BigDecimal secQtaTot) {
        this.secQtaTot = secQtaTot;
        return this;
    }

    public String getSecUntMis() {
        return secUntMis;
    }

    public AccettazioneOrdiniPickingListModel setSecUntMis(String secUntMis) {
        this.secUntMis = secUntMis;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public AccettazioneOrdiniPickingListModel setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public boolean isActive() {
        return active;
    }

    public AccettazioneOrdiniPickingListModel setActive(boolean active) {
        this.active = active;
        return this;
    }

    public PickingObjectDTO getOriginalModel() {
        return mOriginalModel;
    }

    public AccettazioneOrdiniPickingListModel setOriginalModel(PickingObjectDTO mOriginalModel) {
        this.mOriginalModel = mOriginalModel;
        return this;
    }
}
